# IRsUVEWidgetManager Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | ActivateWidget ([in] BSTR bszPrototypeNode)
HRESULT | DeactivateWidget ([in] BSTR bszPrototypeNode)
HRESULT | SetViewNode ([in] IRsNode *pNode)
HRESULT | Raycast ([in] RtUVcoord view_coord, RtDWORD *pHit)
HRESULT | CanActivate ([in] IRsNode *pViewNode,[out, retval] RtBool *pCanActivate)
HRESULT | ProcessMouseEvent ([in] RtMouseEvent *pMouseEvent,[in] IRsNode *pViewNode)
HRESULT | SetActive ([in] RtBool active)
HRESULT | GetActive ([out, retval] RtBool *pActive)

## Detailed Description

Widget handler for UV editor. Currently supports only UVE transform widget and some changes may be needed to support multiple active widgets. Controls activation, rendering, highlighting and mouse event forwarding to active widget parts

## Member Function Documentation

HRESULT IRsUVEWidgetManager::ActivateWidget | ( | [in] BSTR | bszPrototypeNode | ) |

Activates specified widget

HRESULT IRsUVEWidgetManager::DeactivateWidget | ( | [in] BSTR | bszPrototypeNode | ) |

Deactivates specified widget

HRESULT IRsUVEWidgetManager::SetViewNode | ( | [in] IRsNode * | pNode | ) |

Sets reference UV editor node for which the widgets are displayed

HRESULT IRsUVEWidgetManager::Raycast | ( | [in] RtUVcoord | view_coord,
|  | RtDWORD * | pHit |
| ) |  |  |

Checks if there is a widget part in specified coordinates and returns its index if found, otherwise -1 is returned

HRESULT IRsUVEWidgetManager::CanActivate | ( | [in] IRsNode * | pViewNode,
|  | [out, retval] RtBool * | pCanActivate |
| ) |  |  |

Checks if widget can be now activated

HRESULT IRsUVEWidgetManager::ProcessMouseEvent | ( | [in] RtMouseEvent * | pMouseEvent,
|  | [in] IRsNode * | pViewNode |
| ) |  |  |

Forwards mouse event to active widgets

HRESULT IRsUVEWidgetManager::SetActive | ( | [in] RtBool | active | ) |

Sets widget manager active state

HRESULT IRsUVEWidgetManager::GetActive | ( | [out, retval] RtBool * | pActive | ) |

Gets widget manager active state